
void drawTexturedRect(float x, float y, float w, float h, TextureObj texObj)
{
  gl.glEnable(GL.GL_TEXTURE_2D);
  texObj.texture.bind();
  TextureCoords tc = texObj.texture.getImageTexCoords();

  gl.glBegin(GL.GL_QUADS);
  {
    gl.glTexCoord2f(tc.left(), tc.bottom());
    gl.glVertex2f(x - w/2, y - h/2); 
    gl.glTexCoord2f(tc.right(), tc.bottom());
    gl.glVertex2f(x + w/2, y - h/2);
    gl.glTexCoord2f(tc.right(), tc.top());
    gl.glVertex2f(x + w/2, y + h/2);
    gl.glTexCoord2f(tc.left(), tc.top());
    gl.glVertex2f(x - w/2, y + h/2);
  }
  gl.glEnd();

  gl.glDisable(GL.GL_TEXTURE_2D);
}

void drawRect(float x, float y, float w, float h)
{
  gl.glBegin(GL.GL_QUADS);
  {
    gl.glVertex2f(x - w/2, y - h/2); 
    gl.glVertex2f(x + w/2, y - h/2);
    gl.glVertex2f(x + w/2, y + h/2);
    gl.glVertex2f(x - w/2, y + h/2);
  }
  gl.glEnd();
}


  void drawMultiTexturedTile(GL gl,
    float x, float y,
    float w, float h,
    float tL, float tR,
    float tB, float tT,
    float blurMarginX, float blurMarginY,
    float opacity
    )
  {
    gl.glMultiTexCoord2f(gl.GL_TEXTURE1, tL, tB);
    gl.glMultiTexCoord2f(gl.GL_TEXTURE2, tL, tB);
    gl.glMultiTexCoord2f(gl.GL_TEXTURE0, blurMarginX, blurMarginY);
    gl.glVertex2f(x, y);

    gl.glMultiTexCoord2f(gl.GL_TEXTURE1, tR, tB);
    gl.glMultiTexCoord2f(gl.GL_TEXTURE2, tR, tB);
    gl.glMultiTexCoord2f(gl.GL_TEXTURE0, 1f - blurMarginX, blurMarginY);
    gl.glVertex2f(x + w, y);

    gl.glMultiTexCoord2f(gl.GL_TEXTURE1, tR, tT);
    gl.glMultiTexCoord2f(gl.GL_TEXTURE2, tR, tT);
    gl.glMultiTexCoord2f(gl.GL_TEXTURE0, 1f - blurMarginX, 1f - blurMarginY);
    gl.glVertex2f(x + w, y + h);

    gl.glMultiTexCoord2f(gl.GL_TEXTURE1, tL, tT);
    gl.glMultiTexCoord2f(gl.GL_TEXTURE2, tL, tT);
    gl.glMultiTexCoord2f(gl.GL_TEXTURE0, blurMarginX, 1f - blurMarginY);
    gl.glVertex2f(x, y + h);
  }




